[arch-commits] Commit in (5 files)

Juergen Hoetzel juergen at archlinux.org
Tue Jul 6 18:38:27 EDT 2010


    Date: Tuesday, July 6, 2010 @ 18:38:26
  Author: juergen
Revision: 85016

added libfm (new PCManFM dependency)

Added:
  libfm/
  libfm/repos/
  libfm/trunk/
  libfm/trunk/PKGBUILD
  libfm/trunk/libfm.install

---------------+
 PKGBUILD      |   22 ++++++++++++++++++++++
 libfm.install |   14 ++++++++++++++
 2 files changed, 36 insertions(+)

Added: libfm/trunk/PKGBUILD
===================================================================
--- libfm/trunk/PKGBUILD	                        (rev 0)
+++ libfm/trunk/PKGBUILD	2010-07-06 22:38:26 UTC (rev 85016)
@@ -0,0 +1,22 @@
+# $Id$
+# Maintainer: Juergen Hoetzel <juergen at archlinux.org>
+pkgname=libfm  
+pkgver=0.1.12
+pkgrel=1 
+pkgdesc="the core of next generation file manager PCManFM"
+url="http://pcmanfm.sourceforge.net/"
+arch=('i686' 'x86_64')
+license=('GPL')
+groups=('lxde')
+options=('!libtool')
+install=libfm.install
+depends=('gtk2' 'menu-cache' 'shared-mime-info')
+source=(http://downloads.sourceforge.net/pcmanfm/$pkgname-$pkgver.tar.gz)
+md5sums=('6dbc9a30efb5ad0a2c7a0fc54b1ee57c')
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+}
\ No newline at end of file


Property changes on: libfm/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: libfm/trunk/libfm.install
===================================================================
--- libfm/trunk/libfm.install	                        (rev 0)
+++ libfm/trunk/libfm.install	2010-07-06 22:38:26 UTC (rev 85016)
@@ -0,0 +1,14 @@
+post_install() {
+  update-mime-database usr/share/mime > /dev/null
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}
+
+



More information about the arch-commits mailing list